<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KNUST Power Saver</title>

    <!-- Bootstrap Core CSS -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="../css/sb-admin.css" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="../css/plugins/morris.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    <link rel="stylesheet" type="text/css" href="../stylesheets/nav-styles.css">
    <link rel="stylesheet" type="text/css" href="../stylesheets/custom.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/secure">KNUST Power Saver</a>
            </div>
            <!-- Top Menu Items -->
            <ul class="nav navbar-right top-nav">
                
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> Administrator <b class="caret"></b></a>
                    <ul class="dropdown-menu">
                        <li>
                            <a href="/logout"><i class="fa fa-fw fa-power-off"></i> Log Out</a>
                        </li>
                    </ul>
                </li>
            </ul>
            <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
            <div class="collapse navbar-collapse navbar-ex1-collapse">
                <ul class="nav navbar-nav side-nav">
                    <li>
                        <a href="/secure"><i class="fa fa-fw fa-dashboard"></i> System Overview</a>
                    </li>
                    <li class="active">
                        <a href="/secure/asset_management.html"><i class="fa fa-fw fa-bar-chart-o"></i> Asset Management</a>
                    </li>
                    <li>
                        <a href="/secure/add_device.html"><i class="fa fa-fw fa-edit"></i> Add Device</a>
                    </li>
                    <li>
                        <a href="/secure/reports.html"><i class="fa fa-fw fa-edit"></i>Reports</a>
                    </li>
                    <li>
                        <a href="/secure/about.html"><i class="fa fa-fw fa-table"></i> About </a>
                    </li>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </nav>

        <div id="page-wrapper">

            <div class="container-fluid">

                <!-- Page Heading -->
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">
                            <strong>Asset Management</strong>
                        </h1>
                        <ol class="breadcrumb">
                            <li>
                                <i class="fa fa-dashboard"></i>  <a href="/secure">System Overview</a>
                            </li>
                            <li class="active">
                                <i class="fa fa-bar-chart-o"></i> Asset Management
                            </li>
                        </ol>
                    </div>
                </div>
                <!-- /.row -->

                <div style="display: inline-flex;" class="row">

                <div class="col-lg-10">
                    <div id="wrap">
            
                        <ul class="menu">
                            <li class="item1"><a href="#">College of Engineering</a>
                                <ul>
                                    <li class="subitem1"><a href="#">Petroleum Building</a></li>
                                    <li class="subitem2"><a href="#">Lecture Theatre</a></li>
                                    <li class="subitem3"><a href="#" onclick="document.getElementById('devices').style.display='block'; onAdminBlk();">Administration Block</a></li>
                                </ul>
                            </li>
                            <li class="item2"><a href="#">College of Science </a>
                                <ul>
                                    <li class="subitem1"><a href="#">Padmore Building </a></li>
                                    <li class="subitem2"><a href="#">Lecture Theatre </a></li>
                                    <li class="subitem3"><a href="#">Administration Block </a></li>
                                </ul>
                            </li>
                            <li class="item3"><a href="#">School of Business <</a>
                                <ul>
                                    <li class="subitem1"><a href="#">Osteo Building</a></li>
                                    <li class="subitem2"><a href="#">Lecture Theatre]</a></li>
                                    <li class="subitem3"><a href="#">Medical Lab 1 </a></li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
                
                <div class="col-lg-10">
                    <div id="devices" style="border-left: 20px; display: none">
                        <div id="d1">
                            <h3>GE Lightbulb <span></span></h3> 
                        </div>
                        <div id="d2">
                            <h3><a onclick="">Air Conditionder</a></h3>
                        </div>
                        <div id="d3">
                            <h3>Fridge</h3>
                        </div>
                        <div id="d4">
                            <h3>Ceiling Fan</h3>
                        </div>
                    </div>
                </div>

                <div class="col-lg-10">
                    <div id="stat">
                        <div class="btn-group-vertical c-btn">
                            <div class="row-lg-3 row-md-6">
                                <div class="panel panel-new">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col-xs-3">
                                                <i class="glyphicon glyphicon-scale fa-5x"></i>
                                            </div>
                                            <div class="col-xs-9 text-right">
                                                <div class="huge">26</div>
                                                <div>Power Consumption</div>
                                            </div>
                                        </div>
                                    </div>
                                   
                                </div>
                            </div>
                            <div class="row-lg-3 row-md-6">
                                <div class=" panel panel-new">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col-xs-3">
                                                <i class="glyphicon glyphicon-piggy-bank fa-5x"></i>
                                            </div>
                                            <div class="col-xs-9 text-right">
                                                <div class="huge">12</div>
                                                <div>Energy Savings</div>
                                            </div>
                                        </div>
                                    </div>
                                   
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->

    <!-- Bootstrap Core JavaScript -->
    <script src="..js/bootstrap.min.js"></script>

    <!-- Morris Charts JavaScript -->
    <script src="../js/plugins/morris/raphael.min.js"></script>
    <script src="../js/plugins/morris/morris.min.js"></script>
    <script src="../js/plugins/morris/morris-data.js"></script>

    <script type="text/javascript">
            $(function(){

                var menu_ul = $('.menu > li > ul'),
                menu_a = $('.menu > li > a');

                menu_ul.hide();

                menu_a.click(function(e){

                    e.preventDefault();

                    if(!$(this).hasClass('active')){

                    menu_a.removeClass('active');
                    menu_ul.filter(':visible').slideUp('normal');
                    $(this).addClass('active').next().stop(true, true).slideDown('normal');
                } else {

                    $(this).removeClass('active');
                    $(this).next().stop(true, true).slideUp('normal');
                }
                });
            });
        </script>

        <script>
            function onAdminBlk() {
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function () {
                    if (this.readyState == 4 && this.status == 200) {
                        var state = JSON.parse(responseText).rows[0].occupied;
                        var obj = document.createElement('P');
                        obj.innerHTML='State: '+state?'Occupied':'Empty';
                        obj.style.border='20px';
                        document.getElementById('devices').appendChild(obj);
                    }
                }
                url = "/internal_sql?q=select+occupied+from+office+where+office_name%3D'Dr+Henrys+Office";
                xhttp.open("GET", url, true);
                xhttp.send();
            }
        </script>

</body>

</html>
